require 'spec_helper'

describe Mongoid::Oslc::Resources do
  subject { Mongoid::Oslc.resources }

  describe "#class_for" do
    it "should return correct class name" do
      subject.class_for('http://open-services.net/ns/cm#ChangeRequest').should eql 'MongoDocument'
    end
  end

  describe "#domain" do
    it "should return correct domain" do
      subject.domain('http://open-services.net/ns/cm#ChangeRequest').should eql 'oslc_cm'
    end
  end

  describe "#mapping" do
    it "should register all document fields" do
      subject.mapping.keys.should eql ['dcterms:title', 'dcterms:description', 'dcterms:creator', 'oslc_cm:closed', 'dcterms:created', 'dcterms:modified']
    end
  end

  describe "#field_name" do
    it "should return field name" do
      subject.field_name('dcterms:title').should eql :title
    end

    it "should return field name for custom field" do
      subject.field_name('oslc_custom:custom_field').should eql :custom_field
    end
  end
end
