require 'spec_helper'

describe Mongoid::Oslc do
  subject { MongoDocument.new }

  it { subject.domain.should eql    'oslc_cm' }
  it { subject.describe.should eql  'http://open-services.net/ns/cm#ChangeRequest' }

  describe "#oslc_value" do
    before do
      subject.title = 'Document title'
    end

    it "should return title value" do
      subject.oslc_value('dcterms:title').should eql 'Document title'
    end
  end

  describe "class" do
    it "should have method #oslc_where" do
      MongoDocument.respond_to?(:oslc_where).should be_true
    end

    it "should create criteria" do
      query = MongoDocument.oslc_where('dcterms:title="Requirement"')
      query.class.should eql Mongoid::Criteria
      query.selector.should eql({"title" => "Requirement"})
    end
  end
end
